## xiphos 4.3.2+dfsg1

=== CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# the oldest stable cmake version we support
cmake_minimum_required (VERSION 3.11 FATAL_ERROR)
cmake_policy(VERSION 3.11)

### set project name (version set later)
project (xiphos C CXX)

# set commonly used Xiphos variables:
# Xiphos website
set (XIPHOS_WEBSITE "http://xiphos.org")

# Xiphos issues report website
set (XIPHOS_BUG_REPORT "https://github.com/crosswire/xiphos/issues")

# Xiphos release date, (read from 'ChangeLog')
# read last entry in ChangeLog
file(STRINGS ${PROJECT_SOURCE_DIR}/ChangeLog
  ChangeLog_lastentry REGEX "^20[0-9][0-9]-[0-9][0-9]" LIMIT_COUNT 1)
# get year
string(SUBSTRING ${ChangeLog_lastentry} 0 4 ChangeLog_year)
# get month's number
string(SUBSTRING ${ChangeLog_lastentry} 5 2 ChangeLog_month)
# transform month's number into month's name
list(APPEND month_names "XXX;Jan;Feb;Mar;Apr;May;Jun;Jul;Aug;Sep;Oct;Nov;Dec")
list(GET month_names ${ChangeLog_month} ChangeLog_month)
# generate release date string
string(CONFIGURE "@ChangeLog_month@ @ChangeLog_year@" XIPHOS_RELEASE_DATE)


# make sure it's an out-of-stream build
file(TO_CMAKE_PATH "${PROJECT_BINARY_DIR}/CMakeLists.txt" LOC_PATH)
if(EXISTS "${LOC_PATH}")
  message(FATAL_ERROR "You cannot build in the source directory (or any directory with a CMakeLists.txt file). Please make an out-of-stream build subdirectory.")
endif()


# tell cmake where its modules can be found in our project directory
list (APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
list (APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

# parse the current version based on git tags, then cache a result on behalf
# of source tarballs that don't have the repo .git metadata
set(SOURCE_VERSION_CACHE "${PROJECT_SOURCE_DIR}/cmake/source_version.txt")
if(EXISTS "${PROJECT_SOURCE_DIR}/.git")
	find_package(Git)
	execute_process(
		COMMAND ${GIT_EXECUTABLE} describe --tag
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_DESCRIBE_VERSION
		RESULT_VARIABLE GIT_EXIT_CODE
		OUTPUT_STRIP_TRAILING_WHITESPACE
	)
	if(NOT GIT_DESCRIBE_ERROR_CODE)
		set(VERSION ${GIT_DESCRIBE_VERSION})
	else()
		set(VERSION "v0-error")
		message(WARNING "Failed to read git version. Seting version to v0")
	endif()
	string(REGEX REPLACE "^(([0-9]+\\.?)+)-([0-9]+)-.*$" "\\1.\\3" VERSION "${VERSION}")
	file(WRITE ${SOURCE_VERSION_CACHE} "${VERSION}")
	message(STATUS "Setting version to ${VERSION}")
else()
	file(STRINGS ${SOURCE_VERSION_CACHE} VERSION)
endif()

# configure project name and version
project (xiphos
	VERSION "${VERSION}")

# set install directory variables as defined by the GNU Coding Standards.
# e.g. CMAKE_INSTALL_DATAROOTDIR; CMAKE_INSTALL_FULL_BINDIR;
# CMAKE_INSTALL_FULL_DOCDIR...
include (GNUInstallDirs)

# set CMAKE options that the user can optionally select ON or OFF.
include (XiphosOptions)

# find needed tools for building Xiphos
include (XiphosBuildTools)

# find dependencies
include (XiphosDependencies)

# set flags
include (XiphosFlags)

# create config.h
include (XiphosConfig_h)

# build xiphos
add_subdirectory(win32)
add_subdirectory(src/backend)
add_subdirectory(src/editor)
add_subdirectory(src/main)
add_subdirectory(src/webkit)
add_subdirectory(src/xiphos_html)
add_subdirectory(src/gtk)

# build xiphos-nav
add_subdirectory(src/examples)

# build other stuff
add_subdirectory(pixmaps)
add_subdirectory(ui)
add_subdirectory(po)
add_subdirectory(desktop)
add_subdirectory(doc)
add_subdirectory(help)

# create packages
add_subdirectory(cpack)

# report
include (XiphosReport)
# End

=== cpack/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# packaging xiphos


# setting up common variables to all packagers
message(STATUS "Configuring binary and source packagers")

# The name of the package (or application). If not specified, defaults to
# the project name.
set (CPACK_PACKAGE_NAME "${PROJECT_NAME}")

# The name of the package vendor.
set(CPACK_PACKAGE_VENDOR "The Xiphos Development Team")
set(CPACK_PACKAGE_CONTACT "xiphos-devel@crosswire.org")

# The directory in which CPack is doing its packaging. If it is not set then
# this will default (internally) to the build dir.
# set(CPACK_PACKAGE_DIRECTORY ${CMAKE_BINARY_DIR}/packages)

# Package major Version
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})

# Package minor Version
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})

# Package patch Version
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})

# Package full version, used internally. By default, this is built from
# CPACK_PACKAGE_VERSION_MAJOR, CPACK_PACKAGE_VERSION_MINOR,
# and CPACK_PACKAGE_VERSION_PATCH.
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})

# A text file used to describe the project. Used, for example, the introduction
# screen of a CPack-generated Windows installer to describe the project.
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/xiphos.desc)

# Short description of the project (only a few words).
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
  "An environment for Bible reading, study, and research")

# The name of the package file to generate, not including the extension.
# The default value is:
# ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_SYSTEM_NAME}
#set(CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION})

# Installation directory on the target system. This may be used by some CPack
# generators like NSIS to create an installation directory below the
# installation prefix. All installed element will be put inside this directory.
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CMAKE_BINARY_DIR})

# A branding image that will be displayed by GUI installers.
set(CPACK_PACKAGE_ICON ${PROJECT_SOURCE_DIR}/cpack/windows/pixmaps/header.bmp)

# CPack-time project CPack configuration file. This file included at cpack time,
# once per generator after CPack has set CPACK_GENERATOR to the actual generator
# being used. It allows per-generator setting of CPACK* variables at cpack time.
#set(CPACK_PROJECT_CONFIG_FILE ${CMAKE_CURRENT_SOURCE_DIR}/XiphosCPackConfig.cmake)

# License to be embedded in the installer. It will typically be displayed to the
# user by the produced installer. This license file is not installed.
set(CPACK_RESOURCE_FILE_LICENSE ${PROJECT_SOURCE_DIR}/COPYING)

# README file to be embedded in the installer. It typically describes the
# purpose of the project during the installation. Not all CPack generators uses
# this file.
#set(CPACK_RESOURCE_FILE_README "")

# Welcome file to be embedded in the installer. It welcomes users to this
# installer. Typically used in the graphical installers on Windows and Mac OS X.
#set(CPACK_RESOURCE_FILE_WELCOME "")

# Disables the component-based installation mechanism. When set the component
# specification is ignored and all installed items are put in a single
# “MONOLITHIC” package. Some CPack generators do monolithic packaging by default
# and may be asked to do component packaging by setting
# CPACK_<GENNAME>_COMPONENT_INSTALL to 1/TRUE.
set(CPACK_MONOLITHIC_INSTALL "OFF")

# List of CPack generators to use. If not specified, CPack will create a set of
# options CPACK_BINARY_<GENNAME> (e.g., CPACK_BINARY_NSIS) allowing the user to
# enable/disable individual generators.
set(CPACK_GENERATOR "DEB;RPM")

# The name of the CPack binary configuration file. This file is the CPack
# configuration generated by the CPack module for binary installers.
# Defaults to CPackConfig.cmake.
#set(CPACK_OUTPUT_CONFIG_FILE CPackConfig.cmake)

# Lists each of the executables and associated text label to be used to create
# Start Menu shortcuts. For example, setting this to the list ccmake;CMake will
# create a shortcut named “CMake” that will execute the installed executable
# ccmake. Not all CPack generators use it (at least NSIS, WIX and OSXX11 do).
set(CPACK_PACKAGE_EXECUTABLES "Xiphos;xiphos")

# A boolean variable which enables stripping of all files.
set(CPACK_STRIP_FILES ON)

# If set to TRUE, values of variables prefixed with CPACK will be escaped before
# being written to the configuration files, so that the cpack program receives
# them exactly as they were specified. If not, characters like quotes and
# backslashes can cause parsing errors or alter the value received by the cpack
# program. Defaults to FALSE for backwards compatibility.
set(CPACK_VERBATIM_VARIABLES ON)


# The following CPack variables are specific to source packages, and will not
# affect binary packages:

# The name of the source package.
set(CPACK_SOURCE_PACKAGE_FILE_NAME
  "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")

# A boolean variable which enables stripping of all source files
set(CPACK_SOURCE_STRIP_FILES ON)

# List of generators used for the source packages. As with CPACK_GENERATOR, if
# this is not specified then CPack will create a set of options allowing users
# to select which packages will be generated.
set(CPACK_SOURCE_GENERATOR "ZIP;TGZ")

#  The name of the CPack source configuration file. This file is the CPack
# configuration generated by the CPack module for source installers. Defaults
# to CPackSourceConfig.cmake.
#set(CPACK_SOURCE_OUTPUT_CONFIG_FILE CPackSourceConfig.cmake)

# Pattern of files in the source tree that won’t be packaged when building
# a source package
set (CPACK_SOURCE_IGNORE_FILES
  "${CMAKE_BINARY_DIR}/"
  "/.bzrignore"
  "/.bzrrules"
  "/.git/"
  "/.gitignore"
  "/.github"
  "/.bzrignore/"
  "/.bzrrules/"
  "/.clang-format"
  "/.ci-build.yml"
  "/xiphos-${CPACK_PACKAGE_VERSION}-win32.exe"
  "/xiphos-${CPACK_PACKAGE_VERSION}-win64.exe"
  )


# The following variables are for advanced uses of CPack:

#   What CMake generator should be used if the project is CMake project.
# Defaults to the value of CMAKE_GENERATOR
#set(CPACK_CMAKE_GENERATOR ${CMAKE_GENERATOR})

# List of four values that specify what project to install. The four values are:
# Build directory, Project Name, Project Component, Directory.
# If omitted, CPack will build an installer that installs everything.
#set(CPACK_INSTALL_CMAKE_PROJECTS "")

# System name, defaults to the value of ${CMAKE_SYSTEM_NAME}.
#set(CPACK_SYSTEM_NAME$ {CMAKE_SYSTEM_NAME})

# Directory for the installed files.
#set(CPACK_TOPLEVEL_TAG "")

# Extra commands to install components.
#set(CPACK_INSTALL_COMMANDS "")

# Extra directories to install.
#set(CPACK_INSTALLED_DIRECTORIES "")

# Registry key used when installing this project. This is only used by installer
# for Windows. The default value is based on the installation directory.
#set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "")

#  List of desktop links to create. Each desktop link requires a corresponding
# start menu shortcut as created by CPACK_PACKAGE_EXECUTABLES.
#set(CPACK_CREATE_DESKTOP_LINKS "")

# Try to find architecture
if(UNIX)
  execute_process(COMMAND uname -m OUTPUT_VARIABLE CPACK_PACKAGE_ARCHITECTURE)
  string(STRIP "${CPACK_PACKAGE_ARCHITECTURE}" CPACK_PACKAGE_ARCHITECTURE)
endif(UNIX)

# call generators
if (UNIX)
    # CPack RPM generator
    include(fedora/XiphosRPMPkg.cmake)
    # CPack Debian generator (Unix only)
    include(debian/XiphosDebianPkg.cmake)
endif (UNIX)

if(WIN32)
  set(CPACK_GENERATOR "NSIS")
  # CPack NSIS generator on Windows using the Nullsoft Installation System
  include(windows/XiphosWindowsPkg.cmake)
endif(WIN32)

# run CPack
include(CPack)

=== desktop/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# configure desktop related files


if (UNIX)

  add_custom_target(desktop)

  # xiphos.desktop file
  # describes how xiphos program is to be launched and how it appears in menus
  message(STATUS "Configuring ${PROJECT_NAME}.desktop file")
  # copy xiphos.desktop.in
  configure_file (${PROJECT_NAME}.desktop.in ${PROJECT_NAME}.desktop.in)
  # add translations
  if (GETTEXT_FOUND)
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.desktop
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --desktop --template=${PROJECT_NAME}.desktop.in -d ${PROJECT_SOURCE_DIR}/po -o ${PROJECT_NAME}.desktop
      COMMAND ${DESKTOP_FILE_VALIDATE} ${PROJECT_NAME}.desktop
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMENT "Configuring ${PROJECT_NAME}.desktop file"
      )

    # install xiphos.desktop file
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.desktop
      DESTINATION  ${CMAKE_INSTALL_DATADIR}/applications
      COMPONENT data
      )

    add_custom_target(desktop-entry
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.desktop
      )
    add_dependencies(desktop desktop-entry)
  endif (GETTEXT_FOUND)

   # Icon
   # for use in the programs menu
   # TODO: on uninstall run gtk-update-icon-cache
   # install icon
  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/xiphos.svg
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
    COMPONENT data
    )

  # run gtk-update-icon-cache to create a cache file for icon theme
  IF (POSTINST)
    # check that gtk-update-icon-cache is installed
    find_program (GTK_UPDATE_ICON_CACHE gtk-update-icon-cache)
    if (GTK_UPDATE_ICON_CACHE)
      # gtk-update-icon-cache was found
      message (STATUS "Installing gtk-update-icon-cache.")
      # run gtk-update-icon as a post-building command
      set(_update_icon_cache_cmd
	"${GTK_UPDATE_ICON_CACHE} -f -t ${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor")
      install(CODE
	"execute_process(
       COMMAND ${CMAKE_COMMAND} -E chdir . ${_update_icon_cache_cmd}
       )"
	)
    else (GTK_UPDATE_ICON_CACHE)
      # gtk-update-icon-cache was not found
      message(WARNING "gtk-update-icon-cache not found.
  Make sure to call ${GTK_UPDATE_ICON_CACHE} -f -t \"${CMAKE_INSTALL_DATADIR}/icons/hicolor\" after install and uninstall")
    endif (GTK_UPDATE_ICON_CACHE)
  endif (POSTINST)



  # xiphos.appdata.xml
  # allows the user to look at screenshots and a long description of the application
  # before it is installed on a Linux system.
  message (STATUS "Configuring the AppData metadata file")
  # add translations and validate xiphos.appdata.xml
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.appdata.xml
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --xml --template "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.appdata.xml" -d "${PROJECT_SOURCE_DIR}/po" -o "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.appdata.xml"
    COMMAND ${APPSTREAM_UTIL} validate-relax --nonet ${PROJECT_NAME}.appdata.xml > validate.timestamp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Configuring the AppData metadata file"
    )
  # install file
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.appdata.xml
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo
    COMPONENT data
    )

  add_custom_target(appdata
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.appdata.xml
    )
  add_dependencies(desktop appdata)


  # unix man pages
  # TODO: make man pages translatable
  message (STATUS "Building man pages")
  # configure xiphos man page
  configure_file (${PROJECT_NAME}.1.in ${PROJECT_NAME}.1)
  # install xiphos man pages
  install (
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
    COMPONENT data
    )

  if (HAVE_DBUS)
    # configure xiphos-nav man page
    configure_file (${PROJECT_NAME}-nav.1.in ${PROJECT_NAME}-nav.1)
    # install xiphos-nav man pages
    install (
      FILES
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-nav.1
      DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
      COMPONENT data
      )
  endif (HAVE_DBUS)

  add_dependencies(xiphos desktop)

endif (UNIX)

=== pixmaps/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# install pixmaps files
install (FILES
  about.png
  book_closed.png
  book_closed_rtol.png
  book_open.png
  book_open_rtol.png
  dlg-un.png
  epiphany-bookmark-page.png
  epiphany-secure.png
  epiphany-unsecure.png
  gnome-window-manager.png
  gs2-48x48.png
  indexed-16.png
  indexed.png
  init-settings.png
#  mozilla-icon.png
  splash.png
  sword-big.png
  tt.png
  window-close.png
  xiphos-button-125.png
  gs2.xpm
  xiphos.xpm
  gs2-48x48.ico
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}
  COMPONENT data
  )

=== ui/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# install ui files
if (NOT GTK2)
  # Gtk3 only stuff
  install (FILES
    bookmarks.gtkbuilder
    editor_link_dialog.gtkbuilder
    export-dialog.gtkbuilder
    markverse.gtkbuilder
    module-manager.gtkbuilder
    navbar_versekey.gtkbuilder
    prefs.gtkbuilder
    search-dialog.gtkbuilder
    selector-prefs.gtkbuilder
    xi-menus.gtkbuilder
    xi-menus-popup.gtkbuilder
    xi-splash.gtkbuilder
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}
    COMPONENT data
    )
else  (NOT GTK2)
  # Gtk2 only stuff
  install (FILES
    bookmarks.glade
    editor_link_dialog.glade
    export-dialog.glade
    markverse.glade
    module-manager.glade
    navbar_versekey.glade
    prefs.glade
    search-dialog.glade
    selector-prefs.glade
    xi-export-bookmarks.glade
    xi-menus.glade
    gtk2_webedit.ui
    gtk_webedit.ui
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}
    COMPONENT data
    )
endif (NOT GTK2)

# common stuff
install (FILES
  editor_note.xml
  editor_studypad.xml
  arrow_down_box.png
  arrow_down.png
  arrow_up_box.png
  arrow_up.png
  biblesync-v1-30.png
  biblesync-v1-50.png
  biblesync_icon-16.png
  chat_icon-16.png
  dlg-un-16.png
  epiphany-bookmarks.png
  gnome-session.png
  gnome-sound-properties.png
  gnome-windows.png
  logo.png
  mailing_list_icon-16.png
  new_tab_button.png
  silk-edit-bookmarks.png
  sword3.png
  sword_icon-16.png
  sword.png
  translation_icon-16.png
  xiphos-x-16.png
  languages
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}
  COMPONENT data
  )

=== src/backend/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# build backend

add_library (backend STATIC
  gs_stringmgr.cpp
  module_manager.cc
  sword_main.cc
  )
# Add alias
add_library(Xiphos::Backend ALIAS backend)


# specify include directories to use when compiling
target_include_directories(backend
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  PkgConfig::Sword
  )

# specify libraries or flags to use when linking
target_link_libraries(backend
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  PkgConfig::Sword
  )

if(WK_FOUND)
  target_compile_definitions(backend
    PRIVATE
    PkgConfig::WK
    )
  target_link_libraries(backend
    PRIVATE
    PkgConfig::WK
    )
endif()

=== src/editor/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# build editor
add_library (editor STATIC link_dialog.c)

# Add alias
add_library(Xiphos::Editor ALIAS editor)

if (USE_WEBKIT_EDITOR)
  target_sources(editor
    PRIVATE
    editor.c
    webkit_editor.c
    )
else ()
  target_sources(editor
    PRIVATE
    slib-editor.c
    link_dialog.c
    )
endif ()


# specify include directories to use when compiling
target_include_directories(editor
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  PkgConfig::Sword
  )

# specify libraries or flags to use when linking
target_link_libraries(editor
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  PkgConfig::Sword
  )

if(WK_FOUND)
  target_compile_definitions(editor
    PRIVATE
    PkgConfig::WK
    )
  target_link_libraries(editor
    PRIVATE
    PkgConfig::WK
    )
endif()

if (WIN32)
  # add X11/keysymdefs.h
  target_include_directories(editor
    PRIVATE
    ${PROJECT_SOURCE_DIR}/win32/include
    )
endif ()

=== src/examples/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# building xiphos-nav

if (HAVE_DBUS)
  message (STATUS "Configuring xiphos-nav target")

  # we first need to generate ipc-interface.h
  add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ipc-interface.h
    # process ipc-interface.xml to generate ipc-interface.h
    COMMAND ${DBUS_BINDING_TOOL}
    --mode=glib-client
    --output=${CMAKE_CURRENT_BINARY_DIR}/ipc-interface.h
    --prefix=ipc_object ${CMAKE_CURRENT_SOURCE_DIR}/../gtk/ipc-interface.xml
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Generating src/example/ipc-interface.h"
    )

  add_executable (
    xiphos-nav
    xiphos-nav.c
    ${CMAKE_CURRENT_BINARY_DIR}/ipc-interface.h
    )


  # specify include directories to use when compiling
  target_include_directories (xiphos-nav
    PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR} # for ipc-interface.h
    Threads::Threads
    PkgConfig::Core
    PkgConfig::DBus
    )

  # specify libraries or flags to use when linking
  target_link_libraries(xiphos-nav
    PRIVATE
    Threads::Threads
    PkgConfig::Core
    PkgConfig::DBus
    )


  # install xiphos-nav
  install (TARGETS ${PROJECT_NAME}-nav
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT binaries)

endif (HAVE_DBUS)

=== src/examples/Makefile ===
interface_xml := ../gtk/ipc-interface.xml

pkg_packages := dbus-1 dbus-glib-1

PKG_CFLAGS := $(shell pkg-config --cflags $(pkg_packages))
PKG_LDFLAGS := $(shell pkg-config --libs $(pkg_packages))

ADD_CFLAGS := -g -Wall -DG_DISABLE_DEPRECATED

CFLAGS := $(PKG_CFLAGS) $(ADD_CFLAGS) $(CFLAGS)
LDFLAGS := $(PKG_LDFLAGS) $(LDFLAGS)

cleanfiles := ipc-client-stub.h

targets = client

.PHONY: all clean
all: $(targets)

client: receive.o
	$(CC) $^ -o $@ $(LDFLAGS)

receive.o: ipc_client.c ipc-client-stub.h
	   $(CC) $(CFLAGS) -DPROGRNAME=\"ipc_client\" -c $< -o $@

ipc-client-stub.h: $(interface_xml)
		   dbus-binding-tool --prefix=ipc_object --mode=glib-client \
		   $< > $@

clean:
	$(RM) $(targets) $(cleanfiles) *.o

=== src/gtk/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# building xiphos

message (STATUS "Configuring xiphos target")

# generate locale_set.c:

# convert po/LINGUAS file into a C source file containing full locale names.
# names in LINGUAS are either 5-char full "language_LOCALE" names or
# 2-char "language-only" names.  convert the latter.

# This section is, for portability reasons, a rewrite in CMake code
# of src/gtk/make-locale-set.sh.

# 1. read po/LINGUAS
file (READ ${PROJECT_SOURCE_DIR}/po/LINGUAS linguas)
# transform list of languages in a regular CMake list
string (REGEX MATCHALL "[a-zA-Z_]+" langs "${linguas}")

# 2. create header of locate_set.c
set (locale_set ${CMAKE_CURRENT_BINARY_DIR}/locale_set.c)
file (WRITE ${locale_set} "
/* File generated by CMake - Do not edit! */
char *locale_set[] = {\n"
  )
# 3. insert locale names
foreach(LANG ${langs})
  # special case, english.
  if (LANG STREQUAL "en_GB")
    file (APPEND ${locale_set} "  \"en_GB\",\n")
    file (APPEND ${locale_set} "  \"en_US\",\n")
  elseif (LANG STREQUAL "cs")
    # special case, czech.
    file (APPEND ${locale_set} "  \"cs_CZ\",\n")
  elseif (LANG STREQUAL "fa")
    # special case, iran.
    file (APPEND ${locale_set} "  \"fa_IR\",\n")
  elseif(LANG STREQUAL "he")
    # special case, israel.
    file (APPEND ${locale_set} "  \"he_IL\",\n")
  elseif(LANG STREQUAL "nb")
    # special case, norway.
    file (APPEND ${locale_set} "  \"nb_NO\",\n")
  elseif(LANG STREQUAL "sl")
    # special case, slovenia.
    file (APPEND ${locale_set} "  \"sl_SI\",\n")
  elseif(LANG STREQUAL "sv")
    # special case, sweden.
    file (APPEND ${locale_set} "  \"sv_SE\",\n")
  else ()
    string (LENGTH ${LANG} LANG_LEN)
    if (LANG_LEN LESS 5)
      # special case, 2-char "language-only" names.
      string (TOUPPER ${LANG} UPPERLANG)
      file (APPEND ${locale_set} "  \"${LANG}_${UPPERLANG}\",\n")
    else ()
      # common 5-char full "language_LOCALE" names
      file (APPEND ${locale_set} "  \"${LANG}\",\n")
    endif ()
  endif ()
endforeach ()
# 4. add footer to locale_set.c
file (APPEND ${locale_set} "  (char*)0
};\n"
  )
# 5. locale_set.c is tagged as generated during the build
set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/locale_set.c PROPERTIES GENERATED 1)


# build xiphos
add_executable (xiphos
  about_modules.c
  about_sword.c
  about_trans.c
  about_xiphos.c
  bibletext.c
  bibletext_dialog.c
  bookmark_dialog.c
  bookmarks_menu.c
  bookmarks_treeview.c
  cipher_key_dialog.c
  commentary.c
  commentary_dialog.c
  dialog.c
  dictlex.c
  dictlex_dialog.c
  display_info.c
  dummy.cpp
  export_bookmarks.c
  export_dialog.c
  find_dialog.c
  font_dialog.c
  gbs.c
  gbs_dialog.c
  gui.c
  main_menu.c
  main_window.c
  menu_popup.c
  mod_mgr.c
  navbar_book.c
  navbar_book_dialog.c
  navbar_versekey.c
  navbar_versekey_dialog.c
  navbar_versekey_editor.c
  navbar_versekey_parallel.c
  parallel_dialog.c
  parallel_tab.c
  parallel_view.c
  preferences_dialog.c
  search_dialog.c
  search_sidebar.c
  sidebar.c
  sidebar_dialog.c
  splash.c
  tabbed_browser.c
  treekey-editor.c
  utilities.c
  xiphos.c
  ${CMAKE_CURRENT_BINARY_DIR}/locale_set.c
  )

if (DBUS)
  # need to generate 3 files: marshal.c marshal.h ipc-interface.h
  add_custom_command (
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/marshal.h
    ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
    ${CMAKE_CURRENT_BINARY_DIR}/ipc-interface.h

    # process marshal.list to generate marshal.h
    COMMAND ${GLIB_GENMARSHAL}
    ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
    --prefix=ipc_marshal
    --header > ${CMAKE_CURRENT_BINARY_DIR}/marshal.h
    MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list

    # process marshal.list to generate marschal.c
    COMMAND ${GLIB_GENMARSHAL}
    ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
    --prefix=ipc_marshal
    --body > ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
    MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list

    # process ipc-interface.xml to generate ipc-interface.h
    COMMAND ${DBUS_BINDING_TOOL}
    --mode=glib-server
    --output=${CMAKE_CURRENT_BINARY_DIR}/ipc-interface.h
    --prefix=ipc_object ${CMAKE_CURRENT_SOURCE_DIR}/ipc-interface.xml
    MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/ipc-interface.xml

    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Generating src/gtk files"
    )

  # add files to the sources
  target_sources (xiphos
    PRIVATE
    ipc.c
    ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
    )
  target_include_directories (xiphos
    PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
    PkgConfig::DBus
    )
  target_link_libraries(xiphos
    PRIVATE
    PkgConfig::DBus
    )
endif (DBUS)


# specify include directories to use when compiling
target_include_directories(xiphos
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  PkgConfig::Sword
  PkgConfig::Biblesync
  )

# specify libraries or flags to use when linking
target_link_libraries(xiphos
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  PkgConfig::Sword
  PkgConfig::Biblesync
  Xiphos::Main
  Xiphos::Backend
  Xiphos::Editor
  Xiphos::Webkit
  Xiphos::Xiphos_html
  )

if(WK_FOUND)
  target_compile_definitions(xiphos
    PRIVATE
    PkgConfig::WK
    )
  target_link_libraries(xiphos
    PRIVATE
    PkgConfig::WK
    )
endif()

if(GTK2 AND Unix-print_FOUND)
  # add gtk+-unix-print-2.0
  target_include_directories(xiphos
    PRIVATE
    PkgConfig::Unix-print
    )
  target_link_libraries(xiphos
    PRIVATE
    PkgConfig::Unix-print
    )
endif()

if (WIN32)
  # add X11/keysymdefs.h
  target_include_directories(xiphos
    PRIVATE
    ${PROJECT_SOURCE_DIR}/win32/include
    )
  # add rc file
  target_sources(xiphos
    PRIVATE
    xiphos-winres.rc
    )
endif ()


# install executable
install (TARGETS ${PROJECT_NAME}
  DESTINATION ${CMAKE_INSTALL_BINDIR}
  COMPONENT binaries)

=== src/webkit/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# building webkit

# marshalling
add_custom_command (
  OUTPUT
  ${CMAKE_CURRENT_BINARY_DIR}/marshal.h
  ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
  # Marshalling
  COMMAND ${GLIB_GENMARSHAL}
  ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
  --prefix=wk_marshal
  --header > ${CMAKE_CURRENT_BINARY_DIR}/marshal.h

  COMMAND ${GLIB_GENMARSHAL}
  ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
  --prefix=wk_marshal
  --body > ${CMAKE_CURRENT_BINARY_DIR}/marshal.c

  MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMENT "Marshalling webkit files"
  )


# build
add_library (webkit
  STATIC
  wk-html.c
  wk-html.h
  ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
  )

# Add alias
add_library(Xiphos::Webkit ALIAS webkit)


# specify include directories to use when compiling
target_include_directories(webkit
  PRIVATE
  ${CMAKE_CURRENT_BINARY_DIR} # for marshal.h
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  )

# specify libraries or flags to use when linking
target_link_libraries(webkit
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  )

if(WK_FOUND)
  target_compile_definitions(webkit
    PRIVATE
    PkgConfig::WK
    )
  target_link_libraries(webkit
    PRIVATE
    PkgConfig::WK
    )
endif()

=== src/xiphos_html/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# building xiphos_html

# marshalling
add_custom_command (
  OUTPUT
  ${CMAKE_CURRENT_BINARY_DIR}/marshal.h
  ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
  # Marshalling
  COMMAND ${GLIB_GENMARSHAL}
  ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
  --prefix=xihtml_marshal
  --header > ${CMAKE_CURRENT_BINARY_DIR}//marshal.h

  COMMAND ${GLIB_GENMARSHAL}
  ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
  --prefix=xihtml_marshal
  --body > ${CMAKE_CURRENT_BINARY_DIR}/marshal.c

  MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMENT "Marshalling xiphos_html files"
  )


# build
add_library (xiphos_html
  STATIC
  xiphos_html.c
  xiphos_html.h
  ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
  )

# Add alias
add_library(Xiphos::Xiphos_html ALIAS xiphos_html)

# specify include directories to use when compiling
target_include_directories(xiphos_html
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  )

# specify libraries or flags to use when linking
target_link_libraries(xiphos_html
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Soup
  )

if(WK_FOUND)
  target_compile_definitions(xiphos_html
    PRIVATE
    PkgConfig::WK
    )
  target_link_libraries(xiphos_html
    PRIVATE
    PkgConfig::WK
    )
endif()

=== debian/changelog ===
xiphos (4.3.2+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Replace appstream-util with appstream-cli (Closes: #1119109)
  * Drop README that is not package-specific
  * Relax the appstream validation
  * d/copyright: Drop superfluous paragraph

 -- Bastian Germann <bage@debian.org>  Thu, 12 Feb 2026 17:00:00 +0100

xiphos (4.3.2+dfsg1-1) unstable; urgency=high

  * Team upload
  * d/watch: Scan GitHub tags
  * New upstream version 4.3.2+dfsg1

 -- Bastian Germann <bage@debian.org>  Sun, 13 Apr 2025 17:42:46 +0200

xiphos (4.2.1+dfsg1-8) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Add patch to build with webkit2gtk 4.1 instead of 4.0

 -- Bastian Germann <bage@debian.org>  Tue, 23 Jan 2024 21:28:00 +0000

xiphos (4.2.1+dfsg1-7) unstable; urgency=medium

  * Team upload
  * d/watch: Scan xiphos.org downloads

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 16:15:51 +0100

xiphos (4.2.1+dfsg1-6) unstable; urgency=medium

  * Team upload
  * Install correct appstream-util for cross builds
  * Fix FTBFS: template with C linkage (Closes: #997107)
  * Change bage's email

  [ Debian Janitor ]
  * Apply multi-arch hints. + xiphos-data: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Sat, 23 Oct 2021 22:39:47 +0200

=== debian/control ===
Source: xiphos
Section: gnome
Priority: optional
Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
Uploaders: Daniel Glassey <wdg@debian.org>,
           Dominique Corbex <dominique@corbex.org>,
           Jonathan Marsden <jmarsden@fastmail.fm>,
           Teus Benschop <teusbenschop@debian.org>
Build-Depends: xsltproc,
               appstream,
               cmake,
               desktop-file-utils,
               intltool,
               itstool,
               libbiblesync-dev,
               libdbus-glib-1-dev,
               libgsf-1-dev,
               libgtk-3-dev,
               libminizip-dev,
               libsword-dev (>= 1.9.0+dfsg-2),
               libwebkit2gtk-4.1-dev,
               libxml2-dev,
               uuid-dev,
               uuid-runtime,
               yelp-tools,
               debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/xiphos
Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/xiphos.git
Homepage: http://xiphos.org

Package: xiphos
Architecture: any
Depends: xiphos-data (= ${source:Version}), imagemagick,
         ${misc:Depends}, ${shlibs:Depends}
Breaks: xiphos-data (<< 4.0.5+dfsg1-1~)
Replaces: xiphos-data (<< 4.0.5+dfsg1-1~)
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text, festival
Description: environment for Bible reading, study, and research
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package provides the main Xiphos program, a digital text reader with
 bookmarks and full-text search. It allows viewing multiple versions of the same
 text, for parallel reading of alternatives or translations. It also supports
 personal verse-specific notes and a rich-text study pad, both of which have
 spell checking and full-text search.
 .
 Xiphos has a built-in facility to browse and install freely-distributed content
 from CrossWire repositories.

Package: xiphos-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: xiphos-svn
Suggests: xiphos
Multi-Arch: foreign
Description: data files for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains the data files that are necessary to use Xiphos.
